/* Global Styles */
html {
    scroll-behavior: smooth;
}

/* Custom scrollbar for better aesthetics */
::-webkit-scrollbar {
    width: 8px;
}
::-webkit-scrollbar-track {
    background: #101022; 
}
::-webkit-scrollbar-thumb {
    background: #282839; 
    border-radius: 4px;
}
::-webkit-scrollbar-thumb:hover {
    background: #3f3f5a; 
}

/* Animations */
@keyframes float {
    0% { transform: translateY(0px); }
    50% { transform: translateY(-10px); }
    100% { transform: translateY(0px); }
}

@keyframes float-reverse {
    0% { transform: translateY(0px); }
    50% { transform: translateY(10px); }
    100% { transform: translateY(0px); }
}
